Bug 217350 - net-im/ricochet: Fix build with LibreSSL
Summary: net-im/ricochet: Fix build with LibreSSL
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernard Spil
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-25 12:00 UTC by Bernard Spil
Modified: 2017-03-26 10:42 UTC (History)
2 users (show)

See Also:
yuri: maintainer-feedback+


Attachments
svn diff for net-im/ricochet (2.39 KB, patch)
2017-02-25 12:00 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2017-02-25 12:00:30 UTC
Created attachment 180286 [details]
svn diff for net-im/ricochet

net-im/ricochet: Fix build with LibreSSL

 - Remove IGNORE for LibreSSL
 - Add checks for LIBRESSL_VERSION_NUMBER

PR: 
See also: https://github.com/ricochet-im/ricochet/pull/529
Comment 1 Yuri Victorovich freebsd_committer 2017-02-25 16:36:34 UTC
Please also add PORTREVISION=1.

Thanks!
Comment 2 Yuri Victorovich freebsd_committer 2017-02-25 17:02:25 UTC
Also, did you make sure it builds in poudriere with both OpenSSL options?
Comment 3 Martin Wilke freebsd_committer 2017-03-02 03:32:57 UTC
Submitter is Committer
Comment 4 commit-hook freebsd_committer 2017-03-26 10:37:52 UTC
A commit references this bug:

Author: brnrd
Date: Sun Mar 26 10:37:25 UTC 2017
New revision: 436951
URL: https://svnweb.freebsd.org/changeset/ports/436951

Log:
  net-im/ricochet: Fix build with LibreSSL

   - Remove IGNORE for LibreSSL
   - Add checks for LIBRESSL_VERSION_NUMBER

  PR:		217350
  Approved by:	Yuri Victorovich <yuri@rawbw.com> (maintainer)
  Obtained from:	https://github.com/ricochet-im/ricochet/pull/529

Changes:
  head/net-im/ricochet/Makefile
  head/net-im/ricochet/files/patch-src_main.cpp
  head/net-im/ricochet/files/patch-src_utils_CryptoKey.cpp